package smtpServer;

/**
 * RCPT State.
 * In de RCPT status wordt de DATA status geactiveerd.
 * 
 * @version 0.50
 */
public class RCPTState extends SMTPState {

	public String cmdDATA(SMTPClientHandler smtpCH, String cmdArgs) {
		msgData = "";
		smtpCH.setState(new DATAState());
		return "354 Tik het bericht in en sluit af met <crlf>.<crlf>";
	}

	public String cmdEndData(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdHELO(SMTPClientHandler smtpCH, String cmdArgs, String host) {
		return REPLY_500;
	}

	public String cmdMAIL(SMTPClientHandler smtpCH, String cmdArgs) {
		return REPLY_500;
	}

	public String cmdRCPT(SMTPClientHandler smtpCH, String cmdArgs) {
		return "452 Op dit moment is er maar 1 RCPT mogelijk.";
	}

}
